آپدیت کردن pycharm

سوال شده توسط: یوسف زارعی

تاریخ ثبت: ۱۴۰۰/۰۶/۱۸

بازدید: 802

پاسخ: 1

تگ: پایتون


درود بر استاد بزرگوار. سوال من اینه که استاد وقتی من تمامی کدهای نوشته شده را از vscode به pycharm کپی میکنم در pycharm خطا میده.مثلا format string در pycharm خطا میده.ما در نسخه 2.7 در pycharm باید بجای format string از چی استفاده کنیم.و اساسا چطوری میتونیم از نسخه 3.7 در py charm استفاده کنیم.ممنون و متشکر و سپاسگزارم
پاسخ ها
user

امیرحسین امیری

سلام یوسف عزیز

اگر هر دو نسخه ی 2 و 3 پایتون رو روی سیستم خودت داری

زمانی که با pycharm  میخوای پروژه ی جدیدی ایجاد کنی که بر پایه ی نسخه 3 باشه.

باید در قسمت base interpreter نسخه ی 3 پایتون رو انتخاب کنی.

نکته ی بعدی اینه که پایتون نسخه ی 2 تقریبا منسوخ شده بهتره اگه بهش نیاز نداری حذف کنی

برای ثبت پاسخ باید خود شوید

محبوب ترین مقالات